package com.zcloud.mapper.datasource.paper;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：阶段考试试卷课件关系表
 * 作者：luoxiaobao
 * 时间：2021-10-08
 * 官网：www.zcloudchina.com
 */
public interface StageExamPaperCoursewareMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	void deleteAll(PageData pd);

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> findByIds(PageData pd);

	/**
	 * 根据阶段试卷ID获取数据
	 * @param pd
	 * @return
	 */
    List<PageData> findByExamPaper(PageData pd);

	/**
	 * 根据阶段试卷ID删除
	 * @param pd
	 */
    void deleteByExamPaper(PageData pd);
}

